Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11
Class LibSAMLRequest

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.saml.SAMLMessage
oracle.security.xmlsec.samlp.RequestType
oracle.security.xmlsec.samlp.Request
oracle.security.xmlsec.liberty.v11.LibSAMLRequest`

public class LibSAMLRequest
extends oracle.security.xmlsec.samlp.Request

This class represents the SAML Request element of the SignedSAMLRequestType type as specified in the Liberty specification. The SignedSAMLRequestType is an extension of the samlp:RequestType with an addition of an optional id attribute.

Field Summary

Fields inherited from class oracle.security.xmlsec.samlp.RequestType
`ATTRIBUTE_STATEMENT, AUTHENTICATION_STATEMENT, AUTHORIZATION_DECISION_STATEMENT`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`LibSAMLRequest(org.w3c.dom.Document owner)` Creates a new `LibSAMLRequest` instance.
`LibSAMLRequest(org.w3c.dom.Element element)` Creates a new `LibSAMLRequest` instance from the given Element node.
`LibSAMLRequest(org.w3c.dom.Element element, java.lang.String SystemId)` Creates a new `LibSAMLRequest` instance from the given Element node.

Method Summary
`oracle.security.xmlsec.dsig.XSSignature` | `addSignature(java.lang.String signatureMethod, java.lang.String c14nMethod)` Adds a dsig:Signature to this request, replacing any existing signature.
`oracle.security.xmlsec.dsig.XSSignature` | `addSignature(java.lang.String signatureMethod, java.lang.String c14nMethod, java.lang.String digestMethod)` Adds a dsig:Signature to this request, replacing any existing signature.
`java.lang.String` | `getId()` Returns the value of the "id" attribute of this request element.
`void` | `setId(java.lang.String id)` Sets the "id" attribute of this request element.

Methods inherited from class oracle.security.xmlsec.samlp.Request
`addAssertionArtifact, addAssertionIDReference, getAssertionArtifacts, getAssertionIDReferences, getAttributeQuery, getAuthenticationQuery, getAuthorizationDecisionQuery, setQuery`

Methods inherited from class oracle.security.xmlsec.samlp.RequestType
`addRespondWith, addRespondWithValue, getID, getIssueInstant, getLocalNamesPrecedeDSig, getNSURIsPrecedeDSig, getRequestID, getRespondWiths, getRespondWithValues, setIssueInstant, setRequestID`

Methods inherited from class oracle.security.xmlsec.saml.SAMLMessage
`clearSignature, getInstance, getMajorVersion, getMinorVersion, getSignature, isSigned, setVersion, sign, sign, verify, verify`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LibSAMLRequest

    public LibSAMLRequest(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `LibSAMLRequest` instance from the given Element node.
Parameters:
  `element` - A SAML protocal Request element of the SignedSAMLRequestType.

### LibSAMLRequest

    public LibSAMLRequest(org.w3c.dom.Element element,
                          java.lang.String SystemId)
                   throws org.w3c.dom.DOMException

  Creates a new `LibSAMLRequest` instance from the given Element node.
Parameters:
  `element` - A SAML protocal Request element of the SignedSAMLRequestType.

### LibSAMLRequest

    public LibSAMLRequest(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Creates a new `LibSAMLRequest` instance.
Parameters:
  `owner` - The owner document of the new request element.

Method Detail

### setId

    public void setId(java.lang.String id)
               throws org.w3c.dom.DOMException

  Sets the "id" attribute of this request element.
  Parameters:
    `id` - The ID name of this element.
  Throws:
    `org.w3c.dom.DOMException`

### getId

    public java.lang.String getId()

  Returns the value of the "id" attribute of this request element.
  Returns:
    A string containing the ID name of this element, or `null` if the "id" attribute is missing.

### addSignature

    public oracle.security.xmlsec.dsig.XSSignature addSignature(java.lang.String signatureMethod,
                                                                java.lang.String c14nMethod)

  Adds a dsig:Signature to this request, replacing any existing signature. The dsig:SignatureValue is not calculated so, at a minimum, one of the `sign()` methods must be invoked on the returned `oracle.security.xmlsec.dsig.XSSignature` object. The `XSSignature` can be used to add a dsig:KeyInfo containing, for example, the signer's public key certificate.

  The default Reference digest algorithm is SHA-1. Use the `addSignature(String signatureMethod, String c14nMethod, String digestMethod)` method to specify an alternative message digest algorithm. See `XMLURI` for algorithm URI string constants.

  Note: If this Request element has an "id" attribute, then its value is used as the target of the new signature's Reference element. If no "id" attribute is present, as would be the case for a samlp:Request, an XPath Filter transform is added to the signature Reference to identify the Request element to be signed.

  Parameters:
    `signatureMethod` - The URI identifying the signature algorithm to be used.
    `c14nMethod` - The URI identifying the canonicalization algorithm to be used.
  Returns:
    The newly created signature.
  See Also:
    `XSSignature`, `XSKeyInfo`, `XMLURI`

### addSignature

    public oracle.security.xmlsec.dsig.XSSignature addSignature(java.lang.String signatureMethod,
                                                                java.lang.String c14nMethod,
                                                                java.lang.String digestMethod)

  Adds a dsig:Signature to this request, replacing any existing signature. The dsig:SignatureValue is not calculated so, at a minimum, one of the `sign()` methods must be invoked on the returned `oracle.security.xmlsec.dsig.XSSignature` object. The `XSSignature` can be used to add a dsig:KeyInfo containing, for example, the signer's public key certificate.

  See `XMLURI` for algorithm URI string constants.

  Note: If this Request element has an "id" attribute, then its value is used as the target of the new signature's Reference element. If no "id" attribute is present, as would be the case for a samlp:Request, an XPath Filter transform is added to the signature Reference to identify the Request element to be signed.

  Parameters:
    `signatureMethod` - The URI identifying the signature algorithm to be used.
    `c14nMethod` - The URI identifying the canonicalization algorithm to be used.
    `digestMethod` - The URI identifying the message digest algorithm to be used.
  Returns:
    The newly created signature.
  See Also:
    `XSSignature`, `XSKeyInfo`, `XMLURI`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.